File menu commands

The File menu offers the following commands:

New | Creates a new document.
Open | Opens an existing document.
Save | Saves an opened document using the same file name.
Save As | Saves an opened document to a specified file name.
Resize | Resize the window to fit the dialog.
Print | Prints a document.
Print Preview | Displays the document on the screen as it would appear printed.
Print Setup | Selects a printer and printer connection.
1, 2, 3, 4 | Open previously closed documents.
Exit | Exits Bench32.


(Untitled)

View menu commands

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Scale Factor... | Opens the Scale Factor dialog box.


(Untitled)

Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Open the help table of contents.
About Bench32... | Displays the version number of this application.


Bench32 Controls

Bench32 offers the following test options and controls:

Controlled by | Select the host adapter that the test drive is attached to.
Description | Enter the description of the test here.
Direct I/O | Use system buffering.
Drive | Specifies the test drive.
Force Write Access | Bypass drive write cache.
I/O Comparison | Compare I/O data to detect errors.
Neither | Don’t perform overlapped I/O or I/O comparisons.
Overlapped I/O | Perform queued I/O testing.
Queue Depth | Specifies the number of queue entries for overlapped I/O.
Run Continuously | Run the test continuously until errors are detected.
Start | Perform the test with the specified options.
Test Pattern | Specifies the test data pattern.
Total Length | Specifies the test file length.
Transfer Size | Specifies the range of transfer sizes.


Test Results Display

This area graphically displays the results of the benchmark test. The y-axis of the graph represents the transfer sizes in the selected range. The x-axis represents the transfer speeds in MB/sec. I/O speeds for each transfer size are also displayed textually to the right of the graph in kB/sec.


Batch Capability

Bench32 supports two command line parameters for uninterrupted batch testing:

Textfile.txt:

Bench32 will open the text file named textfile. It must contain a list of test files with the extension .bmk or .tst (older versions of Bench32). Each test in this list will be opened and executed in order. Stopping one test in the list will prevent further tests from being executed. Any errors generated during testing will be logged to textfile.log.

/p textfile.txt:

Same as textfile, only the tests in the list will be printed to the default system printer instead of being executed.


(Untitled)

File Open dialog box

The following options allow you to specify which file to open:

File Name

Type or select the filename you want to open. This box lists files with the extension you select in the List Files of Type box.

Files of Type

Select the type of file you want to open:

Benchmark Results (*bmk)

Test Results (*tst) (Prior versions of Bench32)

Look In

Select the directory in which Bench32 stores the file that you want to open.


(Untitled)

File Save As dialog box

The following options allow you to specify the name and location of the file you're about to save:

File Name

Type a new filename to save a document with a different name. Bench32 adds the extension you specify in the Save As Type box.

Save As Type

Select the file type to store the document as.

Save In

Select the directory in which you want to store the document.


(Untitled)

Print dialog box

The following options allow you to specify how the document should be printed:

Printer

This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specify the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To boxes.

Copies

Specify the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Select the quality of the printing. Generally, lower quality printing takes less time to produce.


(Untitled)

Print Progress Dialog

The Printing dialog box is shown during the time that Bench32 is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


(Untitled)

Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer

Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.

Orientation

Choose Portrait or Landscape.

Paper Size

Select the size of paper that the document is to be printed on.

Paper Source

Some printers offer multiple trays for different paper sources. Specify the tray here.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


(Untitled)

No Help Available

No help is available for this message box.


Print Preview toolbar

The print preview toolbar offers you the following options:

Print

Bring up the print dialog box, to start a print job.

Next Page

Preview the next printed page.

Prev Page

Preview the previous printed page.

One Page / Two Page

Preview one or two printed pages at a time.

Zoom In

Take a closer look at the printed page.

Zoom Out

Take a larger look at the printed page.

Close

Return from print preview to the editing window.


Status Bar

The status bar is displayed at the bottom of the Bench32 window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

CAP - The Caps Lock key is latched down.

NUM - The Num Lock key is latched down.

SCRL - The Scroll Lock key is latched down.


Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in Bench32,

To hide or display the Toolbar, choose Toolbar from the View menu (ALT, V, T).

ClickTo

Open a new document.

Open an existing document. Bench32 displays the Open dialog box, in which you can locate and open the desired file.

Save the active document or template with its current name. If you have not named the document, Bench32 displays the Save As dialog box.

Print the active document.

Preview the active document.

Resize the window to fit the dialog.

Display Bench32 version and copyright information.

Enter context sensitive help mode.


(Untitled)

About command (Help menu)

Use this command to display the copyright notice and version number of your copy of Bench32.

Shortcuts

Toolbar:


File Exit command

Exit command (File menu)

Use this command to end your Bench32 session. You can also use the Close command on the application Control menu. Bench32 prompts you to save documents with unsaved changes.

Shortcuts

Mouse: Double-click the application's Close button.

Keys: ALT+F4


Help Using Help Command

Context Help command

Use the Context Help command to obtain help on some portion of Bench32. When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the Bench32 window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Shortcut

Keys:SHIFT+F1


File 1, 2, 3, 4 command

1, 2, 3, 4 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.


File New command

New command (File menu)

Use this command to create a new document in Bench32.

You can open an existing document with the Open command.

Shortcuts

Toolbar:

Keys: CTRL+N


File Open command

Open command (File menu)

Use this command to open an existing document in the window. You can not open multiple documents at once.

You can create new documents with the New command.

Shortcuts

Toolbar:

Keys: CTRL+O


File Page Setup Command

Page Setup command (File menu)

<< Write application-specific help here. >>


File Print command

Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Shortcuts

Toolbar:

Keys: CTRL+P


File Print Preview command

Print Preview command (File menu)

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.

Shortcuts

Toolbar:

Keys: CTRL+P


File Print Setup command

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


File Save command

Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, Bench32 displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.

Shortcuts

Toolbar:

Keys: CTRL+S


File Save As command

Save As command (File menu)

Use this command to save and name the active document. Bench32 displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


(Untitled)

Help command (Help menu)

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using Bench32 and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the table of contents.


(Untitled)

Help Topics command (Help menu)

Use this command to display the Help table of contents. From the table of contents, you can jump to help topics and various types of reference information for Bench32.


(Untitled)

Using Help command (Help menu)

Use this command for instructions about using Help.


(Untitled)

Title Bar

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control-menu button

Document Control-menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(Untitled)

No Help Available

No help is available for this area of the window.


File Resize command

Resize command (File menu)

Use this command to resize the window to fit the dialog containing the test controls. It is useful before printing a test to eliminate scroll bars and unnecessary gray space on the printed page.

Shortcuts

Toolbar:

Keys: CTRL+R


(Untitled)

Close command (System menu)

Use this command to close the active window or dialog box.

Clicking the Close button is the same as choosing the Close command.

Shortcuts

Keys: ALT+F4 closes the Bench32 window


(Untitled)

Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.

Shortcut

Mouse:Click the maximize icon [image] on the title bar; or double-click the title bar.

Keys:CTRL+F10 enlarges a document window.


System Minimize Command

Minimize command (System menu)

Use this command to reduce the Bench32 window to an icon.

Shortcut

Mouse:Click the minimize icon [image] on the title bar.

Keys:ALT+F9


(Untitled)

Move command (System menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcut

Keys:CTRL+F7


(Untitled)

Restore command (System menu)

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Untitled)

Size command (System menu)

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a DIRECTION key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcut

Mouse:Drag the size bars at the corners or edges of the window.


View Scale Factor Command

Scale Factor command (View menu)

Use this command to display Scale Factor dialog box that allows you to change the scale factor of the test results graph.


View Status Bar Command

Status Bar command (View menu)

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and keyboard latch state. A check mark appears next to the menu item when the Status Bar is displayed.

See Status Bar for help on using the status bar.


View Toolbar command

Toolbar command (View menu)

Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in Bench32, such as File Open. A check mark appears next to the menu item when the Toolbar is displayed.

See Toolbar for help on using the toolbar.


I/O Comparison control

I/O Comparison (test option)

If this option is selected, data read from the test file will be compared against the data written on a per block basis. You can select the data pattern for comparison in the Test Pattern dropdown box. You can also run the test continuously by selecting Run Continuously. If any errors are detected, the I/O Comparison Errors dialog box will open upon test completion to display the errors.


Run Continuously control

Run Continuously (test option)

If I/O Comparison is selected, this option appears to allow you to run the test continuously for a specified number of minutes. Testing will be stopped prior to the specified time if any errors are detected.


Controlled by control

Controlled by (test option)

This dropdown box lists all ATTO host adapters on the system that may control the selected drive. Other controlling devices can be entered as well.

This option has no effect on the performance of the test. It is provided for informational purposes only.


Description (control)

This box is provided so you can enter additional information about the test that can be saved or printed.


Direct I/O control

Direct I/O (test option)

If this option is checked, file I/O on the test drive is performed with no system buffering or caching. Combine this option with Overlapped I/O for maximum asynchronous performance.


Drive control

Drive (test option)

Specifies the logical drive to perform the benchmark test on. A test can be performed on any system drive.


Force Write Access control

Force Write Access (test option)

If this option is checked, file writes to the test drive bypass drive write cache. Otherwise, drive write caching is determined by the drive settings.


Neither control

Neither (test option)

Select this option if you do not want to perform overlapped I/O or I/O comparisons.


Test Pattern control

Test Pattern (test option)

Specifies the 32-bit data pattern that is written to the data file during testing. This option is available only when I/O Comparison is selected.


Queue Depth control

Queue Depth (test option)

Specifies the number of queue entries for overlapped I/O, i.e. the maximum number of read/write commands that can be executed at one time. This option is only available if Overlapped I/O is selected.


Overlapped I/O control

Overlapped I/O (test option)

Select this option to perform queued I/O. Upon selection, the Queue Depth option appears.

This option is not available for Windows 9x.


Start Button

Start button (control)

Click this button to perform the test with the specified options. A test may be stopped by pressing Cancel in the popup window.


Total Length control

Total Length (test option)

Specifies the total size of the data file that is created on the test drive. This file is deleted upon completion of testing.


Transfer Size control

Transfer Size (test option)

Specifies the range of transfer (block) sizes used for reading and writing data to the test file. Transfer speeds will be displayed for each size. If the first size is greater than the second size, the test will not be performed for any transfer sizes.


I/O Comparison Errors

I/O Comparison Errors Dialog

This dialog box displays I/O comparison errors detected during testing. These errors are displayed in a table with four columns:

Transfer Size:

Indicates the transfer size at which the error occurred.

Buffer Index:

Indicates the index into the data block at which the error occurred.

Actual Value:

Indicates the value read from the file.

Expected Value:

Indicates the value written to the file.

The dialog box also contains two buttons:

OK:

Closes the dialog box.

Log to File:

Logs the error table to a (*.log) file and closes the dialog. The file is given the same name as the test file and saved in the same directory. If the test was not previously saved, errors are logged to the generic file Bench32Error.log in the root of the test drive. If the log file already exists, the new errors are appended to the previously recorded errors.

This is the only way to save detected errors. They are not saved in the test file.


Scale Factor dialog box

Use this dialog to change the scale of the test results graph. Pressing OK in the dialog accepts any scale changes.


(Untitled)

Bench32 Help Index

Commands

File menu

View menu

Help menu

Features

Controls

Test Results Display

Batch Capability


(Untitled)

Scroll bars

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.